ErrDialog Class Reference

Add error bars dialog. More...

`#include <ErrDialog.h>`

Inheritance diagram for ErrDialog:

## Public Slots

void | add ()
| Add a plot definition. More...
void | selectSrcTable (int tabnr)
| Select a table. More...
void | setCurveNames (const QStringList &names)
| Supply the dialog with a curves list. More...
void | setSrcTables (QList< MdiSubWindow *> tables)
| Supply the dialog with a tables list. More...

## Public Member Functions

| ErrDialog (QWidget *parent=0, Qt::WFlags fl=0)
| Constructor. More...

## Protected Slots

virtual void | languageChange ()
| Set all string in the current language. More...

## Private Attributes

QPushButton * | buttonAdd
QPushButton * | buttonCancel
QButtonGroup * | buttonGroup1
QButtonGroup * | buttonGroup2
QComboBox * | colNamesBox
QRadioButton * | columnBox
QGroupBox * | groupBox1
QGroupBox * | groupBox2
QGroupBox * | groupBox3
QComboBox * | nameLabel
QRadioButton * | percentBox
QList< MdiSubWindow * > | srcTables
QRadioButton * | standardBox
QComboBox * | tableNamesBox
QLabel * | textLabel1
DoubleSpinBox * | valueBox
QRadioButton * | xErrBox
QRadioButton * | yErrBox

## Detailed Description

Add error bars dialog.

## Constructor & Destructor Documentation

## ErrDialog()

ErrDialog::ErrDialog | ( | QWidget * | parent = `0`,
|  | Qt::WFlags | fl = `0`
| ) |  |

Constructor.

Parameters

  parent | parent widget
  fl | window flags

References add(), buttonAdd, buttonCancel, buttonGroup1, buttonGroup2, colNamesBox, columnBox, groupBox1, groupBox3, languageChange(), nameLabel, percentBox, selectSrcTable(), DoubleSpinBox::setMinimum(), DoubleSpinBox::setValue(), standardBox, tableNamesBox, textLabel1, valueBox, xErrBox, and yErrBox.

## Member Function Documentation

## add

void ErrDialog::add | ( |  | ) |

slot

Add a plot definition.

References MultiLayer::activeLayer(), ApplicationWindow::activeWindow(), Table::addCol(), Graph::addErrorBars(), Table::colIndex(), Table::colName(), colNamesBox, columnBox, Graph::curveIndex(), Graph::dataCurve(), DataCurve::endRow(), ErrorBarsCurve::Horizontal, Table::isEmptyColumn(), ApplicationWindow::MultiLayerWindow, nameLabel, MdiSubWindow::notifyChanges(), Table::numCols(), Table::numRows(), percentBox, Table::setCell(), ErrorBarsCurve::setColor(), DataCurve::startRow(), ApplicationWindow::table(), tableNamesBox, Table::text(), DoubleSpinBox::value(), valueBox, DataCurve::xColumnName(), Table::xErr, xErrBox, and Table::yErr.

Referenced by ErrDialog().

## languageChange

void ErrDialog::languageChange | ( |  | ) |

protected virtual slot

Set all string in the current language.

References buttonAdd, buttonCancel, columnBox, groupBox1, percentBox, standardBox, textLabel1, xErrBox, and yErrBox.

Referenced by ErrDialog().

## selectSrcTable

void ErrDialog::selectSrcTable | ( | int | tabnr | ) |

slot

Select a table.

References colNamesBox, and srcTables.

Referenced by ErrDialog(), and setSrcTables().

## setCurveNames

void ErrDialog::setCurveNames | ( | const QStringList & | names | ) |

slot

Supply the dialog with a curves list.

References nameLabel.

Referenced by ApplicationWindow::addErrorBars().

## setSrcTables

void ErrDialog::setSrcTables | ( | QList< MdiSubWindow *> | tables | ) |

slot

Supply the dialog with a tables list.

References selectSrcTable(), srcTables, and tableNamesBox.

Referenced by ApplicationWindow::addErrorBars().

## Member Data Documentation

## buttonAdd

QPushButton* ErrDialog::buttonAdd

private

Referenced by ErrDialog(), and languageChange().

## buttonCancel

QPushButton* ErrDialog::buttonCancel

private

Referenced by ErrDialog(), and languageChange().

## buttonGroup1

QButtonGroup* ErrDialog::buttonGroup1

private

Referenced by ErrDialog().

## buttonGroup2

QButtonGroup * ErrDialog::buttonGroup2

private

Referenced by ErrDialog().

## colNamesBox

QComboBox * ErrDialog::colNamesBox

private

Referenced by add(), ErrDialog(), and selectSrcTable().

## columnBox

QRadioButton * ErrDialog::columnBox

private

Referenced by add(), ErrDialog(), and languageChange().

## groupBox1

QGroupBox* ErrDialog::groupBox1

private

Referenced by ErrDialog(), and languageChange().

## groupBox2

QGroupBox* ErrDialog::groupBox2

private

## groupBox3

QGroupBox * ErrDialog::groupBox3

private

Referenced by ErrDialog().

## nameLabel

QComboBox* ErrDialog::nameLabel

private

Referenced by add(), ErrDialog(), and setCurveNames().

## percentBox

QRadioButton* ErrDialog::percentBox

private

Referenced by add(), ErrDialog(), and languageChange().

## srcTables

QList<MdiSubWindow*> ErrDialog::srcTables

private

Referenced by selectSrcTable(), and setSrcTables().

## standardBox

QRadioButton* ErrDialog::standardBox

private

Referenced by ErrDialog(), and languageChange().

## tableNamesBox

QComboBox * ErrDialog::tableNamesBox

private

Referenced by add(), ErrDialog(), and setSrcTables().

## textLabel1

QLabel* ErrDialog::textLabel1

private

Referenced by ErrDialog(), and languageChange().

## valueBox

DoubleSpinBox* ErrDialog::valueBox

private

Referenced by add(), and ErrDialog().

## xErrBox

QRadioButton* ErrDialog::xErrBox

private

Referenced by add(), ErrDialog(), and languageChange().

## yErrBox

QRadioButton* ErrDialog::yErrBox

private

Referenced by ErrDialog(), and languageChange().

The documentation for this class was generated from the following files:

- qtiplot/src/plot2D/dialogs/ErrDialog.h
- qtiplot/src/plot2D/dialogs/ErrDialog.cpp